---
updatedAt: 2026-08-21T03:45:38.000Z
---

Fetch the complete documentation index at: https://docs.blockdaemon.com/llms.txt. Use this file to discover all available pages before exploring further. Append .md to any documentation page URL to get its markdown version.

# Get the Fee Estimation

Returns fee estimation in decimals.This endpoint will return 3 fee estimations: fast, medium and slow.


<Callout icon="💡" theme="default">
  ### **Compute Unit Value**: `50` (fixed)
</Callout>

***

> 👍 START HERE!
>
> Click **Try It!** to test the endpoint with the default values or customize your request by following these steps:
>
> 1. Enter your API key in the **Header: token** text box (top right).
>    * You can **[get a free API key here](https://docs.blockdaemon.com/docs/quick-start-blockdaemon-api-suite)** .
> 2. Enter the parameters available below.
> 3. Click **Try It!**.

***

For an in-depth tutorial, take a look at this video to learn how to estimate Ethereum Gas Fees with Blockdaemon's REST API.

<Embed url="https://www.youtube.com/watch?v=B3FzYsmTjNk" href="https://www.youtube.com/watch?v=B3FzYsmTjNk" typeOfEmbed="youtube" html="%3Ciframe%20class%3D%22embedly-embed%22%20src%3D%22%2F%2Fcdn.embedly.com%2Fwidgets%2Fmedia.html%3Fsrc%3Dhttps%253A%252F%252Fwww.youtube.com%252Fembed%252FB3FzYsmTjNk%253Ffeature%253Doembed%26display_name%3DYouTube%26url%3Dhttps%253A%252F%252Fwww.youtube.com%252Fwatch%253Fv%253DB3FzYsmTjNk%26image%3Dhttps%253A%252F%252Fi.ytimg.com%252Fvi%252FB3FzYsmTjNk%252Fhqdefault.jpg%26key%3D7788cb384c9f4d5dbbdbeffd9fe4b92f%26type%3Dtext%252Fhtml%26schema%3Dyoutube%22%20width%3D%22854%22%20height%3D%22480%22%20scrolling%3D%22no%22%20title%3D%22YouTube%20embed%22%20frameborder%3D%220%22%20allow%3D%22autoplay%3B%20fullscreen%3B%20encrypted-media%3B%20picture-in-picture%3B%22%20allowfullscreen%3D%22true%22%3E%3C%2Fiframe%3E" />

***

<HTMLBlock>{`
<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="UTF-8" />
<meta name="viewport" content="width=device-width, initial-scale=1" />
<style>
  body {
    font-family: Arial, sans-serif;
  }
  .filter-box {
  	width: 100%;
  }
  .table-container {
    border: 1px solid #ccc;
    margin-top: 15px;
  }
  .show {
    display: block;
  }
  .scrollable-table {
    max-height: 320px; /* Approx height for 5 rows */
    overflow-y: scroll; /* Always show scrollbar */
  }
  table {
    width: 100%;
    border-collapse: collapse;
    table-layout: fixed;
  }
  th, td {
    border: 1px solid #ccc;
    padding: 10px;
    vertical-align: top;
    word-wrap: break-word;
  }
  #protocolTableSearchable th {
    text-align: left;
    position: sticky;
    top: 0;
    background-clip: padding-box;
    z-index: 1;
    background-color: #230688;
    color: white !important;
  }
  code {
    background-color: #eee;
    padding: 2px 6px;
    border-radius: 4px;
    font-family: monospace;
    cursor: pointer;
    transition: background-color 0.2s ease;
    position: relative;
  }
  code:hover {
    background-color: #ddd;
  }
  [data-color-mode="dark"] code:hover {
    background-color: #637288;
  }
  /* Tooltip styles */
  .tooltip {
    position: absolute;
    background-color: #333;
    color: white;
    padding: 8px 12px;
    border-radius: 4px;
    font-size: 12px;
    z-index: 1000;
    white-space: nowrap;
    pointer-events: none;
    opacity: 0;
    transition: opacity 0.2s ease;
    font-family: Arial, sans-serif;
  }
  .tooltip.show {
    opacity: 1;
  }
  .tooltip::after {
    content: '';
    position: absolute;
    top: 100%;
    left: 50%;
    margin-left: -5px;
    border-width: 5px;
    border-style: solid;
    border-color: #333 transparent transparent transparent;
  }
  /* Only two colors: white and light gray */
  [data-color-mode="light"] .protocol-group-odd td {
    background-color: #ffffff; /* white */
  }
  [data-color-mode="light"] .protocol-group-even td {
    background-color: #f5f5f5; /* light gray */
  }

  [data-color-mode="dark"] .protocol-group-odd td {
    background-color: #242e34; /* dark gray */
  }
  [data-color-mode="dark"] .protocol-group-even td {
    background-color: #4f5a66; /* lighter gray */
  }
</style>
</head>
<body>

<h3>Supported Protocols & Networks</h3>

<div class="table-container show">
  <input type="text" id="searchProtocolInput" class="filter-box" placeholder="Search protocol name..." onkeyup="filterTable()" />
  <div class="scrollable-table">
    <table id="protocolTableSearchable">
<thead>
  <tr>
    <th>Protocol</th>
    <th>Network</th>
    <th>Path Parameter</th>
  </tr>
</thead>
<tbody>
  <tr class="protocol-group-odd">
    <td rowspan="2">Avalanche</td>
    <td>Mainnet-c</td>
    <td><code class="copyable-code">avalanche/mainnet-c</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td>Testnet-c</td>
    <td><code class="copyable-code">avalanche/testnet-c</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td rowspan="2">Base</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">base/mainnet</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td>Testnet</td>
    <td><code class="copyable-code">base/testnet</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td rowspan="3">Bitcoin</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">bitcoin/mainnet</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td>Testnet</td>
    <td><code class="copyable-code">bitcoin/testnet</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td>Testnet4</td>
    <td><code class="copyable-code">bitcoin/testnet4</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td rowspan="2">Bitcoincash</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">bitcoincash/mainnet</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td>Testnet</td>
    <td><code class="copyable-code">bitcoincash/testnet</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td rowspan="2">BNB</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">bnb/mainnet</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td>Testnet</td>
    <td><code class="copyable-code">bnb/testnet</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td rowspan="2">Dogecoin</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">dogecoin/mainnet</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td>Testnet</td>
    <td><code class="copyable-code">dogecoin/testnet</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td rowspan="3">Ethereum</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">ethereum/mainnet</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td>Sepolia</td>
    <td><code class="copyable-code">ethereum/sepolia</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td>Hoodi</td>
    <td><code class="copyable-code">ethereum/hoodi</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td rowspan="2">Litecoin</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">litecoin/mainnet</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td>Testnet</td>
    <td><code class="copyable-code">litecoin/testnet</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td rowspan="2">Polkadot</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">polkadot/mainnet</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td>Westend</td>
    <td><code class="copyable-code">polkadot/westend</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td rowspan="2">Polygon</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">polygon/mainnet</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td>Amoy</td>
    <td><code class="copyable-code">polygon/amoy</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td rowspan="3">Solana</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">solana/mainnet</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td>Testnet</td>
    <td><code class="copyable-code">solana/testnet</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td>Devnet</td>
    <td><code class="copyable-code">solana/devnet</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td rowspan="2">Kaia</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">kaia/mainnet</code></td>
  </tr>
  <tr class="protocol-group-even">
    <td>Kairos (Testnet)</td>
    <td><code class="copyable-code">kaia/kairos</code></td>
  </tr>
    <tr class="protocol-group-odd">
    <td rowspan="2">XRP</td>
    <td>Mainnet</td>
    <td><code class="copyable-code">xrp/mainnet</code></td>
  </tr>
  <tr class="protocol-group-odd">
    <td>Testnet</td>
    <td><code class="copyable-code">xrp/testnet</code></td>
  </tr>
</tbody>



    </table>
  </div>
</div>
</body>
</html>
`}</HTMLBlock>

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "version": "3.0.0",
    "title": "Blockdaemon REST API",
    "description": "Blockdaemon REST API provides a RESTful and uniform way to access blockchain resources,\nwith a rich and reusable model across multiple protocols/cryptocurrencies.\n\n[Documentation](https://docs.blockdaemon.com/reference/rest-api-overview)\n\n### Currently supported protocols:\n\n* algorand\n  * mainnet\n* avalanche \n  * mainnet-c/testnet-c\n* bitcoin\n  * mainnet/testnet/testnet4\n* bitcoincash\n  * mainnet/testnet\n* dogecoin\n  * mainnet/testnet\n* ethereum\n  * mainnet/holesky/sepolia/hoodi\n* litecoin\n  * mainnet/testnet\n* near\n  * mainnet\n* optimism\n  * mainnet\n* polkadot\n  * mainnet/westend\n* polygon\n  * mainnet/amoy\n* solana\n  * mainnet/testnet\n* stellar\n  * mainnet/testnet\n* tezos\n  * mainnet\n* tron\n  * mainnet/nile\n* xrp\n  * mainnet\n\n### Pagination\nCertain resources contain a lot of data, more than what's practical\nto return for a single request.\nWith the help of pagination, the data is split across multiple responses.\nEach response returns a subset of the items requested, and a continuation token.\n\nTo get the next batch of items, copy the returned continuation token\nto the continuation query parameter and repeat the request with the new URL.\nIn case no continuation token is returned, there is no more data available.\n",
    "contact": {
      "name": "Blockdaemon",
      "email": "support@blockdaemon.com",
      "url": "https://blockdaemon.com"
    },
    "x-logo": {
      "url": "https://storage.googleapis.com/blockdaemon-app-static-images/marketing/PNG/dark-logo.png",
      "altText": "Blockdaemon logo"
    }
  },
  "x-readme": {
    "samples-languages": [
      "curl",
      "go",
      "javascript",
      "python",
      "node"
    ]
  },
  "servers": [
    {
      "url": "https://svc.blockdaemon.com/universal/{version}",
      "description": "Production server",
      "variables": {
        "version": {
          "enum": [
            "v1"
          ],
          "default": "v1"
        }
      }
    },
    {
      "url": "https://ubiquity.api.blockdaemon.com/{version}",
      "description": "[Legacy Auth] Production server",
      "variables": {
        "version": {
          "enum": [
            "v1"
          ],
          "default": "v1"
        }
      }
    }
  ],
  "tags": [
    {
      "name": "Fee estimator"
    }
  ],
  "security": [
    {
      "apiKeyAuthHeader": []
    },
    {
      "bearerAuth": []
    }
  ],
  "paths": {
    "/{protocol}/{network}/tx/estimate_fee": {
      "get": {
        "summary": "Get the Fee Estimation",
        "description": "Returns fee estimation in decimals.This endpoint will return 3 fee estimations: fast, medium and slow.\n",
        "operationId": "GetFeeEstimate",
        "tags": [
          "Fee estimator"
        ],
        "parameters": [
          {
            "in": "path",
            "name": "protocol",
            "required": true,
            "description": "Protocol handle, one of: `avalanche`, `bitcoin`, `bitcoincash`, `dogecoin`, `ethereum`, `litecoin`, `polkadot`, `polygon`, `solana`, and `kaia`.\n",
            "schema": {
              "type": "string",
              "default": "bitcoin"
            },
            "examples": {
              "Bitcoin": {
                "value": "bitcoin"
              }
            }
          },
          {
            "$ref": "#/components/parameters/network"
          }
        ],
        "responses": {
          "200": {
            "description": "Protocols Overview",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "most_recent_block": {
                      "type": "integer"
                    },
                    "estimated_fees": {
                      "$ref": "#/components/schemas/fee_estimate_response"
                    }
                  }
                },
                "examples": {
                  "simple_fee": {
                    "value": {
                      "most_recent_block": 17820703,
                      "estimated_fees": {
                        "fast": 38566334505,
                        "medium": 35427955554,
                        "slow": 33928922157
                      }
                    }
                  },
                  "evm": {
                    "value": {
                      "most_recent_block": 17820703,
                      "estimated_fees": {
                        "fast": {
                          "max_priority_fee": 1500000000,
                          "max_total_fee": 38566334505,
                          "medium": {
                            "max_priority_fee": 1200000000,
                            "max_total_fee": 35427955554
                          },
                          "slow": {
                            "max_priority_fee": 1000000000,
                            "max_total_fee": 33928922157
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/UnauthorizedError"
          },
          "429": {
            "$ref": "#/components/responses/TooManyRequests"
          },
          "500": {
            "$ref": "#/components/responses/ServerError"
          },
          "503": {
            "$ref": "#/components/responses/ServiceUnavailable"
          }
        },
        "x-internal": false
      }
    }
  },
  "components": {
    "securitySchemes": {
      "apiKeyAuthHeader": {
        "type": "apiKey",
        "in": "header",
        "name": "X-API-Key",
        "description": "Unlock higher TPS - Create your own API key in the [Blockdaemon App](https://app.blockdaemon.com).\n",
        "x-default": "2go1YqUcuAr4WZ2-3WgSD3c7qpatZqQuNWhTVBldKZnTSUtw"
      },
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "Opaque",
        "description": "[Legacy Auth] Unlock higher TPS - Create your own API key in the [Blockdaemon App](https://app.blockdaemon.com).\n",
        "x-default": "2go1YqUcuAr4WZ2-3WgSD3c7qpatZqQuNWhTVBldKZnTSUtw"
      }
    },
    "responses": {
      "TooManyRequests": {
        "description": "Rate limit exceeded",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error"
            },
            "example": {
              "type": "too-many-requests",
              "title": "Too Many Requests",
              "status": 429,
              "detail": "Request rate limits have been exceeded. Try again after a few seconds."
            }
          }
        }
      },
      "UnauthorizedError": {
        "description": "Invalid or expired token",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error"
            },
            "example": {
              "type": "unauthorized",
              "title": "Invalid Token",
              "status": 401
            }
          }
        }
      },
      "ServerError": {
        "description": "An internal server error happened",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error"
            },
            "example": {
              "type": "internal-server-error",
              "title": "Internal Server Error",
              "status": 500
            }
          }
        }
      },
      "ServiceUnavailable": {
        "description": "The resource you are trying to access is currently unavailable",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/error"
            },
            "example": {
              "type": "unavailable",
              "title": "Unavailable",
              "status": 503
            }
          }
        }
      }
    },
    "schemas": {
      "fee_estimate_response": {
        "anyOf": [
          {
            "$ref": "#/components/schemas/fee_estimate"
          },
          {
            "$ref": "#/components/schemas/evm_fee_estimate"
          }
        ]
      },
      "fee_estimate": {
        "type": "object",
        "properties": {
          "fast": {
            "description": "The fast maximum priority fee.",
            "type": "integer",
            "format": "bigint"
          },
          "medium": {
            "description": "The medium maximum priority fee.",
            "type": "integer",
            "format": "bigint"
          },
          "slow": {
            "description": "The slow maximum priority fee.",
            "type": "integer",
            "format": "bigint"
          }
        }
      },
      "evm_fee_estimate": {
        "type": "object",
        "properties": {
          "fast": {
            "$ref": "#/components/schemas/evm_fee"
          },
          "medium": {
            "$ref": "#/components/schemas/evm_fee"
          },
          "slow": {
            "$ref": "#/components/schemas/evm_fee"
          }
        }
      },
      "evm_fee": {
        "description": "The priority fee.",
        "type": "object",
        "properties": {
          "max_priority_fee": {
            "description": "The fast slow priority fee.",
            "type": "integer",
            "format": "bigint"
          },
          "max_total_fee": {
            "type": "integer",
            "format": "bigint",
            "description": "The fast slow total fee."
          }
        }
      },
      "error": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "description": "The HTTP error type.",
            "example": "bad-request"
          },
          "code": {
            "type": "integer",
            "description": "The numeric error code.",
            "example": 16384
          },
          "title": {
            "type": "string",
            "description": "The short error description.",
            "example": "Invalid Address"
          },
          "status": {
            "type": "integer",
            "description": "The HTTP status of the error.",
            "example": 400
          },
          "detail": {
            "type": "string",
            "description": "Long error description",
            "example": "The requested address is invalid on this protocol."
          }
        }
      }
    },
    "parameters": {
      "network": {
        "name": "network",
        "in": "path",
        "required": true,
        "description": "Which network to target. Available networks can be found in the list of supported protocols or with /{protocol}.",
        "schema": {
          "type": "string",
          "default": "mainnet"
        },
        "examples": {
          "Mainnet": {
            "value": "mainnet"
          },
          "Mainnet-C": {
            "value": "mainnet-c"
          },
          "Testnet": {
            "value": "testnet"
          },
          "Testnet4": {
            "value": "testnet4",
            "description": "Bitcoin testnet network"
          },
          "Testnet-C": {
            "value": "testnet-c"
          },
          "Holesky": {
            "value": "holesky",
            "description": "Ethereum testnet network"
          },
          "Hoodi": {
            "value": "hoodi",
            "description": "Ethereum testnet network"
          },
          "Sepolia": {
            "value": "sepolia",
            "description": "Ethereum testnet network"
          },
          "Westend": {
            "value": "westend",
            "description": "Polkadot testnet network"
          },
          "Amoy": {
            "value": "amoy",
            "description": "Polygon testnet network"
          }
        }
      }
    }
  }
}
```